﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <telerik:RadGrid runat="server" AutoGenerateEditColumn="true" ID="RadGrid1">
        <MasterTableView>
            <Columns>
                <telerik:GridTemplateColumn DataField="ScheduleDate" HeaderButtonType="None" HeaderText="Day"
                    SortExpression="ScheduleDate" UniqueName="ScheduleDate">
                    <EditItemTemplate>
                        <asp:Label ID="Label_ScheduleDate" runat="server" AssociatedControlID="RadDatePicker_ScheduleDate"></asp:Label>
                        <telerik:RadDatePicker ID="RadDatePicker_ScheduleDate" UniqueName="RadDatePicker_ScheduleDate"
                            runat="server" Width="80px" Skin="Outlook" MinDate='<%# System.DateTime.Now.AddDays(-30) %>'>
                            <Calendar DayNameFormat="FirstTwoLetters" FirstDayOfWeek="Default">
                            </Calendar>
                            <DatePopupButton Visible="true" />
                        </telerik:RadDatePicker>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="ScheduleDateLabel" runat="server" Text='<%# Eval("ScheduleDate", "{0:d}") %>'></asp:Label>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
            </Columns>
        </MasterTableView>
    </telerik:RadGrid>
</asp:Content>
